import Builder, { toProps } from "../../utils/builder";
export default {
    title: 'Components/Movinword',
    component: 'x-movinwords',
};
export const Simple = new Builder(args => `
<x-movinwords ${toProps(args)}>
</x-movinwords>
`)
    .args({
    sentence: '¡Bienvenido a GlobalBite! Preparados para llevar tu paladar de viaje. ¡Disfruta de la diversidad culinaria en cada bocado! ¿Que deseas pedir?',
})
    .build();
export const Highlight = new Builder(args => `
<x-movinwords ${toProps(args)}>
</x-movinwords>
`)
    .args({
    sentence: '¡Bienvenido a GlobalBite! Preparados para llevar tu paladar de viaje. ¡Disfruta de la diversidad culinaria en cada bocado! ¿Que deseas pedir?',
    highlight: 'GlobalBite, paladar, diversidad, bocado, pedir',
})
    .build();
export const WithBR = new Builder(args => `
	<x-movinwords ${toProps(args)}>
	</x-movinwords>
	`)
    .args({
    sentence: '¡Bienvenido a GlobalBite!\nPreparados para llevar tu paladar de viaje.\n¡Disfruta de la diversidad culinaria en cada bocado! ¿Que deseas pedir?',
})
    .build();
